[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TBinaryObjectReader.Destroy

Destroys the binary data reader.

## Declaration

Source position: classesh.inc line 1152

`public destructor TBinaryObjectReader.Destroy; override;`

## Description

Destroy frees the buffer allocated when the instance was created. It also positions the stream on the last used position in the stream (the buffering may cause the reader to read more bytes than were actually used.)

## See also

TBinaryObjectReader.Create |  | Creates a new binary data reader instance.

Documentation generated on: Feb 26 2014